LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 05-11-2003, 04:56 PM   #1
SForsgren
Member
 
Registered: Apr 2003
Location: San Jose
Distribution: Red Hat 9
Posts: 68

Rep: Reputation: 15
Problems with ASpell and Bluefish Installation


I am trying to install BlueFish HTML Editor and when I run configure it suggests that I install libaspell

checking for aspell.h... no
libaspell not found please install libaspell-dev or similar

I have aspell already installed

[root@sforsgren-linux-01 bluefish-0.9]# rpm -qa | grep aspell*
aspell-da-1.4.22-7
aspell-no-0.3-6
aspell-en-gb-0.33.7.1-21
aspell-sv-1.3.8-4
aspell-en-ca-0.33.7.1-21
aspell-it-0.1-16
aspell-pt_BR-2.4-12
aspell-de-0.1.1-17
aspell-fr-0.6-8
aspell-pt-0.1-12
aspell-devel-0.33.7.1-21
aspell-0.33.7.1-21
aspell-es-0.2-13
aspell-ca-0.1-18
aspell-nl-0.1-17

However, if I search my file system, I do not find the aspell.h file that the BlueFish install seems to want.

What am I doing wrong? I thought that the .h file would come with aspell-devel-0.33.7.1-21 above.

Thanks!
 
Old 05-11-2003, 05:01 PM   #2
Crashed_Again
Senior Member
 
Registered: Dec 2002
Location: Atlantic City, NJ
Distribution: Ubuntu & Arch
Posts: 3,503

Rep: Reputation: 57
Do you have the libaspell and libaspell-devel packages installed? Its not asking for the aspell package. It wants libaspell.
 
Old 05-11-2003, 05:21 PM   #3
SForsgren
Member
 
Registered: Apr 2003
Location: San Jose
Distribution: Red Hat 9
Posts: 68

Original Poster
Rep: Reputation: 15
When I tried to install libaspell, I got:

[root@sforsgren-linux-01 root]# rpm -i libaspell-0.33*
warning: libaspell-0.33.7.1-alt1.i586.rpm: V3 DSA signature: NOKEY, key ID eac91ca0
file /usr/lib/libaspell.so.10.1.1 from install of libaspell-0.33.7.1-alt1 conflicts with file from package aspell-0.33.7.1-21
file /usr/lib/libpspell_aspell.so.2.0.1 from install of libaspell-0.33.7.1-alt1 conflicts with file from package aspell-0.33.7.1-21

So I did a --force (was that an ok thing to do?) Same with the devel rpm.

After both rpms:

libaspell-0.33.7.1-alt1.i586.rpm
libaspell-devel-0.33.7.1-alt1.i586.rpm

are installed, I still don't have an aspell.h file anywhere on my machine.

Thoughts?

Thanks!
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
bluefish: relocation error: bluefish: undefined symbol: gtk_file_chooser_di pymehta Linux - Software 3 02-05-2005 11:00 PM
aspell problems xirian Linux - Software 3 01-31-2005 05:21 PM
problems installing bluefish (gtk-config errors) a_morgan Linux - Software 3 09-05-2003 08:58 PM
aspell.h and BlueFish SForsgren Linux - Software 2 05-11-2003 11:57 PM
Aspell/Pspell installation problems saravanan1979 Linux - Software 0 07-24-2002 04:40 AM


All times are GMT -5. The time now is 03:12 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration